GCLOUD_KMS_KEYRINGS_REMOVE-IAM-POLICY-BINDING(1)

NAME

gcloud kms keyrings remove-iam-policy-binding - remove a policy binding from a keyring

SYNOPSIS

gcloud kms keyrings remove-iam-policy-binding KEYRING --member=MEMBER --role=ROLE [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Removes an IAM policy binding from the given keyring. See https://cloud.google.com/iam/docs/managing-policies for details of policy role and member types.

POSITIONAL ARGUMENTS

    KEYRING
        Name of the keyring from which to remove an IAM policy binding.

REQUIRED FLAGS

    --member=MEMBER
        The member to remove from the binding.

    --role=ROLE
        The role to remove the member from.

OPTIONAL FLAGS

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command will remove an IAM policy binding for the role of 'roles/editor' for the user 'test-user@gmail.com' on the keyring fellowship with location global:
    $ gcloud kms keyrings remove-iam-policy-binding fellowship \
        --location global \ --member='user:test-user@gmail.com' \ --role='roles/editor'